# Class TileRequestScheduler

- Defined in lib/five/model/tile3d/tile-request-scheduler.ts:49

##### Index

### Constructors

constructor

### Methods

reset
update

## Constructors

### constructor

- new TileRequestScheduler(
  tileset: Tileset,
  options: TileRequestSchedulerOptions,
  ): TileRequestScheduler

  #### Parameters

  - tileset: Tileset
  - options: TileRequestSchedulerOptions

  #### Returns TileRequestScheduler

  - Defined in lib/five/model/tile3d/tile-request-scheduler.ts:54

## Methods

### reset

- reset(): void

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-request-scheduler.ts:62

### update

- update(
  requestTiles: Tile[],
  order: TileRequestOrder,
  frameState: TilesetFrameState,
  ): void

  #### Parameters

  - requestTiles: Tile[]
  - order: TileRequestOrder
  - frameState: TilesetFrameState

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-request-scheduler.ts:74